Bug 75260 - double line border styles wrongly displayed
Summary: double line border styles wrongly displayed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other All
: high normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.3
Keywords: bibisectRequest, regression
: 73232 75770 79260 86294 88208 92638 (view as bug list)
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2014-02-20 14:14 UTC by Michael Stahl
Modified: 2017-10-01 01:46 UTC (History)
18 users (show)

See Also:
Crash report or crash signature:


Attachments
all Word double borders, ODT (7.08 KB, application/vnd.oasis.opendocument.text)
2014-02-20 14:15 UTC, Michael Stahl
Details
all Word double borders, RTF (63.90 KB, application/rtf)
2014-02-20 14:16 UTC, Michael Stahl
Details
all Word double borders, DOCX (12.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-20 14:17 UTC, Michael Stahl
Details
all Word double borders, DOC (31.50 KB, application/msword)
2014-02-20 14:17 UTC, Michael Stahl
Details
odt with double dorder and results export to PDF in 4.1.5 and 4.2.1 (38.70 KB, application/vnd.oasis.opendocument.text)
2014-02-21 23:03 UTC, Cor Nouws
Details
odt with thick double border (11.22 KB, application/vnd.oasis.opendocument.text)
2014-03-09 10:52 UTC, Luke Deller
Details
Thick+thin double borders (13.17 KB, application/vnd.oasis.opendocument.text)
2014-03-30 11:53 UTC, Luke Deller
Details
Thick+thin double borders, PDF from Word2010 (6.07 KB, application/pdf)
2014-03-30 12:12 UTC, Luke Deller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl 2014-02-20 14:14:54 UTC
this is a regression in 4.2.1.1 from the border painting re-write.

Writer displays most double border styles wrongly.
Comment 1 Michael Stahl 2014-02-20 14:15:52 UTC
Created attachment 94436 [details]
all Word double borders, ODT
Comment 2 Michael Stahl 2014-02-20 14:16:26 UTC
Created attachment 94437 [details]
all Word double borders, RTF
Comment 3 Michael Stahl 2014-02-20 14:17:06 UTC
Created attachment 94439 [details]
all Word double borders, DOCX
Comment 4 Michael Stahl 2014-02-20 14:17:27 UTC
Created attachment 94440 [details]
all Word double borders, DOC
Comment 5 Michael Stahl 2014-02-20 14:21:52 UTC
another bugdoc with OOo 3.3 borders:
https://bugs.freedesktop.org/attachment.cgi?id=62580
Comment 6 Michael Stahl 2014-02-20 14:44:33 UTC
similar bug in Calc
(and i guess the Calc double-borders only serve for backward compat with OOo):

https://bugs.freedesktop.org/attachment.cgi?id=62579

and Impress (although Impress always looked ugly):

https://bugs.freedesktop.org/attachment.cgi?id=62581
Comment 7 Cor Nouws 2014-02-21 23:03:45 UTC
Created attachment 94536 [details]
odt with double dorder and results export to PDF in 4.1.5 and 4.2.1

possibly related: wrong export to PDF ?
Comment 8 Kohei Yoshida 2014-03-03 22:51:48 UTC
I'm on it.
Comment 9 Kohei Yoshida 2014-03-04 20:58:51 UTC
FYI, our current double line handling problem is comprised of so many smaller issues that it's unlikely I can address them all.  So, I'll likely push increment fixes to make the problem less severe.  Please keep that in mind when reviewing my fix when it's ready.
Comment 10 Commit Notification 2014-03-05 03:05:04 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c62596cf264ef10749d8bfdb2bb2ebef2d98fbc

fdo#75260: Correctly draw double lines for both Writer and Calc.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Jean-Baptiste Faure 2014-03-05 05:32:31 UTC
(In reply to comment #7)
> Created attachment 94536 [details]
> odt with double dorder and results export to PDF in 4.1.5 and 4.2.1
> 
> possibly related: wrong export to PDF ?

Hi Cor, this pdf export problem is tracked in bug 75213.

Best regards. JBF
Comment 12 Jean-Baptiste Faure 2014-03-05 05:40:12 UTC
*** Bug 75770 has been marked as a duplicate of this bug. ***
Comment 13 Commit Notification 2014-03-05 15:31:31 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=743d331357af5204108186f0428e949f68d966c7&h=libreoffice-4-2

fdo#75260: Correctly draw double lines for both Writer and Calc.


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Kohei Yoshida 2014-03-08 07:59:37 UTC
*** Bug 73232 has been marked as a duplicate of this bug. ***
Comment 15 Luke Deller 2014-03-09 10:52:57 UTC
Created attachment 95407 [details]
odt with thick double border

Added an odt with a thick double border (9pt ie 3pt solid, 3pt gap, 3pt solid)

- LO 4.1.3 shows this correctly
- LO 4.2.1 shows this incorrectly as a thin double border
- master after the commit for this item (commit 2c62596c) shows this as a single 9pt border

I haven't studied your patch but could it be drawing each border line using the full border width instead of 1/3 of the border width?
Comment 16 Commit Notification 2014-03-17 23:44:57 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c6fb266567c8e397e3c65663b21f0fa50696aa5

fdo#75260: These old hacks no longer make sense.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2014-03-18 14:05:56 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77b6c1602aaa0bd059077765e7fabb53d9e6ddeb

fdo#75260: Don't forget to offset the inner with the width of the outer.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2014-03-18 15:08:10 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32391d25293935fbbf0075e3ccf68625951427f0

fdo#75260: Correct offset amount. Using the distance was not enough.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2014-03-18 16:34:47 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24b4fbfa39f212c769bf4d966258a8fb4c98c201

fdo#75260: More adjustments.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2014-03-18 18:00:05 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07909e0045d9f94329861fe2e7b3403a5c4befed

fdo#75260: Center both primary and secondary lines wrt thier respective axes.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2014-03-18 20:32:44 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=961da51ae28b46c96344be20abd1b5172a3faa3f

fdo#75260: Apply the same fix from writer table to paragraph bordering.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2014-03-18 20:41:26 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dca4fda3ede573eef6582e71facc95b3f79be55&h=libreoffice-4-2

fdo#75260: Improve double line drawing for writer table.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2014-03-18 21:02:23 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2cd1673f41cb5bd8502a9a48a5721244660fe3a0

fdo#75260: Apply the same fix from writer table to character bordering.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2014-03-19 01:49:29 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ff746e1ad4950124e09da2dc913d8d64c726c90

fdo#75260: Align exterior borders of a table correctly for double lines.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2014-03-20 17:11:20 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d2ff40bf36f52c3fdd61311159a4ace5e631298&h=libreoffice-4-2

fdo#75260: Apply the same fix from writer table to paragraph bordering.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2014-03-20 17:11:57 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fbd73b8f02926664c9d04fc596f482f5977ae59&h=libreoffice-4-2

fdo#75260: Apply the same fix from writer table to character bordering.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2014-03-20 17:13:21 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76ac4d0e2c34d3fd2ba9cc7825c7cff25d463c1d&h=libreoffice-4-2

fdo#75260: Align exterior borders of a table correctly for double lines.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Luke Deller 2014-03-30 10:44:18 UTC
Thanks Kohei for your work on this.  The thick double border example (attachment 95407 [details]) that I uploaded with comment 15 is displaying nicely now in latest master.
Comment 29 Luke Deller 2014-03-30 11:53:57 UTC
Created attachment 96612 [details]
Thick+thin double borders

I hope it is helpful for me to add examples which are still not displaying correctly after the latest commits for this item?

This attachment involves a double border consisting of a thick line and a thinner line (still both quite fat, total border width is 9pt).  I believe the thick line is supposed to be the line towards the top or left - at least that is what MS Word does.

First is a paragraph border example, which is nearly right but the top-right and bottom-left joins do not line up.  These are the two points where the border transitions from having the thick line on the outside to the inside.

Second is a table example with the same border, where the internal joins do not meet correctly and some of the borders have the thicker line on the wrong side.
Comment 30 Luke Deller 2014-03-30 12:12:54 UTC
Created attachment 96613 [details]
Thick+thin double borders, PDF from Word2010

For comparison here is a PDF produced by Word 2010, showing nice border joins at the transition points.
Comment 31 V Stuart Foote 2014-05-15 23:11:05 UTC
@Kohei, 

A reminder of the regression of paragraph border end caps (butt vs miter) from bug 38635
Comment 32 Matthew Francis 2015-01-16 12:27:00 UTC
*** Bug 86294 has been marked as a duplicate of this bug. ***
Comment 33 Xisco Faulí 2016-09-12 12:29:32 UTC
Adding keyword 'bibisectRequest'.
Comment 34 Roeland 2016-09-15 19:35:17 UTC
Bug 57345 is connected as well, can maybe be considered as a duplicate?
Comment 35 Xisco Faulí 2016-10-07 15:30:23 UTC Comment hidden (obsolete)
Comment 36 Xisco Faulí 2016-10-07 15:32:16 UTC Comment hidden (obsolete)
Comment 37 Xisco Faulí 2016-10-07 15:35:14 UTC Comment hidden (obsolete)
Comment 38 Xisco Faulí 2016-10-07 15:35:19 UTC Comment hidden (obsolete)
Comment 39 Xisco Faulí 2016-10-07 15:35:22 UTC Comment hidden (obsolete)
Comment 40 Xisco Faulí 2016-10-07 15:35:30 UTC Comment hidden (obsolete)
Comment 41 Xisco Faulí 2016-10-07 15:35:37 UTC Comment hidden (obsolete)